Protocols.h File Reference

Licensed to the University Corporation for Advanced Internet Development, Inc. More...

`#include <saml/RootObject.h>`
`#include <saml/util/SAMLConstants.h>`
`#include <xmltooling/ConcreteXMLObjectBuilder.h>`
`#include <xmltooling/ElementExtensibleXMLObject.h>`
`#include <xercesc/util/XMLDateTime.hpp>`
Include dependency graph for Protocols.h:

## Macros

#define | DECL_SAML1POBJECTBUILDER(cname)

## Detailed Description

Licensed to the University Corporation for Advanced Internet Development, Inc.

(UCAID) under one or more contributor license agreements. See the NOTICE file distributed with this work for additional information regarding copyright ownership.

UCAID licenses this file to you under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

XMLObjects representing the SAML 1.x Protocols schema.

## Macro Definition Documentation

## DECL_SAML1POBJECTBUILDER

#define DECL_SAML1POBJECTBUILDER | ( |  | cname | ) |

Value:
DECL_XMLOBJECTBUILDER(SAML_API,cname,samlconstants::SAML1P_NS,samlconstants::SAML1P_PREFIX)
samlconstants::SAML1P_PREFIX
const XMLCh SAML1P_PREFIX[]
SAML 1.X Protocol QName prefix ("samlp").
samlconstants::SAML1P_NS
const XMLCh SAML1P_NS[]
SAML 1.X Protocol XML namespace ("urn:oasis:names:tc:SAML:1.0:protocol").